body {
  font-family: Georgia, serif;
  max-width: 50em;
  margin: 2em auto;
  line-height: 1.5;
  padding: 0 1em;
  font-size: 1.2em;
  color: #333;
}

div.main {
  /*
    background-color: #ebdcc2;
    background-color: #f9f9f988;
    background-color: #f9f9f9ef;
*/
  /* From own copy */
  border: 1px solid #ccc;
  box-shadow: 0 0 10px #ccc;
}

h1 {
  text-align: center;
  padding-bottom: 0;
  margin: 0;
  color: #c00000;
}

h2 {
  font-size: 1.1em;
  margin-top: 2em;
  padding-bottom: 0.2em;
  text-align: center;
}

h2.sub-title {
  font-size: 1em;
  font-weight: normal;
  margin: 0;
  padding: 0;
  border: 0;
  color: #000000aa;
}

h3.chapter-notes {
  scroll-margin-top: 1em;
  font-size: 1em;
}

h3.section-notes {
  scroll-margin-top: 1em;
  font-size: 1.2em;
}

div.info {
  font-size: 0.9em;
  color: #555;
  border: 1px solid #ccc;
  margin: 0;
  padding: 10px;
  background-color: #f5f2edcc;

  & p.motto {
    /* use a sans-serif font for the motto */
    font-family: Arial, sans-serif;
    font-size: 0.7em;
    color: #c00;
    margin: 0;
    padding: 0;
    text-align: center;
  }
}

p.author {
  text-align: center;
  font-style: italic;
  margin-top: 0.5em;
  margin-bottom: 2em;
}


#toc {
  border-top: 1px solid #ccc;
  border-bottom: 1px solid #ccc;
  margin-bottom: 3em;
  font-size: 0.9em;

  & h2 {
    font-size: 1em;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
  }

  & ol {
    columns: 2;
  }

  & ul {
    margin-left: 40%;
    columns: 1;
  }
}

fn-note {
  display: block;
  margin-top: 0.2em;
  font-size: 1em;
  padding-left: 2ch;
  text-indent: -2ch;

  & a.ref {
    text-decoration: none;
    font-size: 0.9em;
    font-weight: normal;
    vertical-align: baseline;
  }
}

a.sup {
  text-decoration: none;
  color: rgb(32, 96, 243);
  vertical-align: super;
  font-size: 0.7em;
  font-weight: normal;
  margin: 0 0.2em;
}

a.sup::before {
  content: "";
}

a.sup::after {
  content: "";
}

.page-break {
  display: block;
  scroll-margin-top: 1em;
  text-align: center;
  font-size: 0.8em;
  letter-spacing: 0.15em;
  margin: 0 0 10px 0;
  border-bottom: 5px solid #fff;
  padding: 0 0 10px 0;
}

.text-missing {
  color: red;
}

p.note {
  font-size: 0.7em;
  color: #555;
  margin: 0;
  padding: 0;
}

p.note::before {
  content: "* ";
}

pre {
  font-family: Courier, monospace;
  font-size: 0.8em;
  color: black;
  white-space: pre-wrap;
  overflow-wrap: anywhere;
}

p.quote, div.quote {
  font-style: italic;
  font-size: 0.9em;
  margin: 1em 0;
  padding-left: 1em;
  border-left: 3px solid #ccc;
}

.uppercase {
  text-transform: uppercase;
}

section.end-notes {
  padding: 0 10px 0 10px;
  border-top: 1px solid #ccc;
  background-color: #f9f9f988;
  font-size: 0.9em;
}

section.index-names, section.bibliography {
  padding: 0 10px 0 10px;
  border-top: 1px solid #ccc;
  background-color: #f9f9f988;
  font-size: 0.9em;

  & pre {
    font-family: Courier, monospace;
    font-size: 0.7em;
    white-space: pre-wrap;
    overflow-wrap: anywhere;
    margin: 10px 0;
  }

  & ol {
    margin: 10px;
    padding-left: 20px;
    font-size: 0.9em;
  }

  & ul {
    margin: 10px;
    padding-left: 10px;
    font-size: 0.9em;

    & li {
      padding-left: 2ch;
      text-indent: -2ch;
    }
  }
}

/* Custom styles for the bibliography section */
.fn-popup {
  font-size: 1em;
}

.fn-close {
  font-size: 0.7em;
  text-decoration: none;
  margin-left: 15px;
}

/* Images */
#bb-maps {
  img {
    display: block;
    margin: 1em auto;
    width: 100%;
    height: auto;
  }
}

/* Annotations */
.note-1 {
  background-color: yellow;
}

.error-1 {
  text-decoration: underline wavy red;
}

.error-1::after {
  content: "\26A0";
  color: red;
  margin-left: 0.2em;
}